-- Create new user table
CREATE TABLE IF NOT EXISTS user_config (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    pincode TEXT
);


-- Create new pincode table if not exists
CREATE TABLE IF NOT EXISTS pincode_table (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    pincode_value TEXT
);


-- Moving user data
INSERT INTO user_config (_id, pincode)
SELECT _id, pincode_value
FROM pincode_table;


-- Dropping old table
DROP TABLE pincode_table;




