-- Create new category table
CREATE TABLE IF NOT EXISTS category (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    title TEXT,
    color INTEGER,
    is_hidden INTEGER DEFAULT 0
);


-- Create new categories table (one to be replaced) if not exists
CREATE TABLE IF NOT EXISTS categories (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    title TEXT,
    color INTEGER
);


-- Moving category data
INSERT INTO category (_id, title, color)
SELECT _id, title, color
FROM categories;



-- Dropping old table
DROP TABLE categories;
